Bug 1785956 - 2 entries for HTTPS everywhere add-on !
Summary: 2 entries for HTTPS everywhere add-on !
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecat
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 18:51 UTC by yousifjkadom@yahoo.com
Modified: 2020-01-21 01:38 UTC (History)
2 users (show)

Fixed In Version: icecat-68.4.0-2.rh2.fc31 icecat-68.4.1-1.rh1.fc30 icecat-68.4.1-1.rh1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 02:19:58 UTC


Attachments (Terms of Use)

Description yousifjkadom@yahoo.com 2019-12-22 18:51:11 UTC
Description of problem:
After receive update of IceCat to version 68.3.0-1.gnu-1.fc30, 2 icons for HTTPS Everywhere started to appear in upper bar of browser ! I visit add-on section & I saw 2 entries for this add-on! One of these 2 entries marked by sign that appearing beside this add-on on official Firefox add-on label it as recommended by Firefox, while 2nd entry has not this sign beside it!

Both these 2 entries show NO option to remove the add-on.

Moreover, it seem that they are not talking to one other because changing setting of one of them not reflected in setting of 2nd !

I tried to remove Icecat by DNF then delete all it's user data & cache & setting then re-install it again, but same error persisted !

Version-Release number of selected component (if applicable):
68.3.0-1.gnu-1.fc30

Expected results:
Only one icon & entry for this add-on should appearing.

Comment 1 Antonio T. (sagitter) 2019-12-22 19:41:38 UTC
It's an error of source archive packaging.
Thank you for report this issue.

Comment 2 Antonio T. (sagitter) 2019-12-22 19:57:11 UTC
(In reply to Antonio from comment #1)
> It's an error of source archive packaging.

$ rpm -q --list icecat | grep https
/usr/lib64/icecat/browser/extensions/https-everywhere-eff@eff.org.xpi
/usr/lib64/icecat/browser/extensions/https-everywhere@eff.org.xpi

Comment 3 Fedora Update System 2020-01-05 10:55:10 UTC
FEDORA-2020-fc31c6335d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc31c6335d

Comment 4 Fedora Update System 2020-01-05 10:55:11 UTC
FEDORA-2020-68ee77f934 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-68ee77f934

Comment 5 Fedora Update System 2020-01-06 00:48:27 UTC
icecat-68.4.0-0.2.rc1.rh1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-68ee77f934

Comment 6 Fedora Update System 2020-01-06 01:19:18 UTC
icecat-68.4.0-0.2.rc1.rh1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc31c6335d

Comment 7 Fedora Update System 2020-01-11 01:24:59 UTC
icecat-68.4.0-2.rh2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-876e7a14b6

Comment 8 Fedora Update System 2020-01-11 01:48:41 UTC
icecat-68.4.0-2.rh2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8ec063ed19

Comment 9 Fedora Update System 2020-01-13 02:19:58 UTC
icecat-68.4.0-2.rh2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-01-13 02:39:02 UTC
icecat-68.4.1-1.rh1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0071104a31

Comment 11 Fedora Update System 2020-01-13 02:46:54 UTC
icecat-68.4.1-1.rh1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-34c398916d

Comment 12 Fedora Update System 2020-01-21 01:22:55 UTC
icecat-68.4.1-1.rh1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-01-21 01:38:19 UTC
icecat-68.4.1-1.rh1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.